Test1 = Core.class(Sprite)

function Test1:init()
    self:add_square({
  	x=0,
	y=0,
        height = 100,
        width = 100,
        color = 0xff0000
    })

    self:add_square({
	x=95,
	y=10,
        height = 10,
        width = 10,
        color = 0x0000ff
    })
end

function Test1:add_square(settings)
    local height = settings.height
    local width = settings.width
	local x = settings.x
	local y = settings.y
    local fill_style = Shape.SOLID
    local fill_color = settings.color
    local fill_alpha = 1
    local line_style = 0
    local line_color = settings.color
    local line_alpha = 1

    local square = Shape.new()
    square:setFillStyle(fill_style, fill_color, fill_alpha)
    square:setLineStyle(line_style, line_color, line_alpha)
    square:beginPath()
    square:moveTo(x,y)
    square:lineTo(x+width, y)
    square:lineTo(x+width, height+y)
    square:lineTo(x, height+y)
    square:lineTo(x, y)
    square:endPath()

    self:addChild(square)
end
